Subject: Re: [PATCH v2 09/10] builtin/gc.c: make `gc.cruftPacks` enabled by default

From: Taylor Blau <[email-masked]>
Date: Thu, 20 Apr 2023 15:19:49 -0400

On Thu, Apr 20, 2023 at 10:31:00AM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> >> Being listed here is a definite sign that a feature behind a
> >> configuration variable is considered experimental.  Do we have (and
> >> if not, do we want to establish) a procedure to mark and announce a
> >> feature that used to be experimental no longer is?  If it is enough
> >> to mention it in the release notes, then I can take care of it, of
> >> course.
> >
> > I am not aware of such a procedure. But personally I think it would be
> > fine to mention it in the release notes for the next release.
>
> OK.  I updated the entry for the topic in the draft "What's cooking"
> report to read:
>
>     * tb/enable-cruft-packs-by-default (2023-04-18) 10 commits
>      - ...
>
>      When "gc" needs to retain unreachable objects, packing them into
>      cruft packs (instead of exploding them into loose object files) has
>      been offered as a more efficient option for some time.  Now the use
>      of cruft packs has been made the default and no longer considered
>      an experimental feature.
>
>      Will merge to 'next'.
>      source: <[email-masked]>

Thanks, I think that summarizes/announces the change well. I always
appreciate your effort into concisely summarizing the topics being
queued.

> and the per-topic description text is usually what is copied
> verbatim to the release notes, so even if I forget, the procedure
> will remember it for us ;-)

;-).

Thanks,
Taylor